Upstream information

CVE-2018-2703 at MITRE

Description

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server : Security : Privileges). Supported versions that are affected are 5.6.38 and prior and 5.7.20 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. CVSS 3.0 Base Score 6.5 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:L/Au:S/C:N/I:N/A:C
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 1076369 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.2
  • libmysql56client18 >= 5.6.39-24.15.1
  • libmysql56client18-32bit >= 5.6.39-24.15.1
  • libmysql56client18-debuginfo >= 5.6.39-24.15.1
  • libmysql56client18-debuginfo-32bit >= 5.6.39-24.15.1
  • libmysql56client_r18 >= 5.6.39-24.15.1
  • libmysql56client_r18-32bit >= 5.6.39-24.15.1
  • mysql-community-server >= 5.6.39-24.15.1
  • mysql-community-server-bench >= 5.6.39-24.15.1
  • mysql-community-server-bench-debuginfo >= 5.6.39-24.15.1
  • mysql-community-server-client >= 5.6.39-24.15.1
  • mysql-community-server-client-debuginfo >= 5.6.39-24.15.1
  • mysql-community-server-debuginfo >= 5.6.39-24.15.1
  • mysql-community-server-debugsource >= 5.6.39-24.15.1
  • mysql-community-server-errormessages >= 5.6.39-24.15.1
  • mysql-community-server-test >= 5.6.39-24.15.1
  • mysql-community-server-test-debuginfo >= 5.6.39-24.15.1
  • mysql-community-server-tools >= 5.6.39-24.15.1
  • mysql-community-server-tools-debuginfo >= 5.6.39-24.15.1
Patchnames:
openSUSE-2018-90
openSUSE Leap 42.3
  • libmysql56client18 >= 5.6.39-33.1
  • libmysql56client18-32bit >= 5.6.39-33.1
  • libmysql56client18-debuginfo >= 5.6.39-33.1
  • libmysql56client18-debuginfo-32bit >= 5.6.39-33.1
  • libmysql56client_r18 >= 5.6.39-33.1
  • libmysql56client_r18-32bit >= 5.6.39-33.1
  • mysql-community-server >= 5.6.39-33.1
  • mysql-community-server-bench >= 5.6.39-33.1
  • mysql-community-server-bench-debuginfo >= 5.6.39-33.1
  • mysql-community-server-client >= 5.6.39-33.1
  • mysql-community-server-client-debuginfo >= 5.6.39-33.1
  • mysql-community-server-debuginfo >= 5.6.39-33.1
  • mysql-community-server-debugsource >= 5.6.39-33.1
  • mysql-community-server-errormessages >= 5.6.39-33.1
  • mysql-community-server-test >= 5.6.39-33.1
  • mysql-community-server-test-debuginfo >= 5.6.39-33.1
  • mysql-community-server-tools >= 5.6.39-33.1
  • mysql-community-server-tools-debuginfo >= 5.6.39-33.1
Patchnames:
openSUSE-2018-90


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 mysql Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS mysql Not affected
SUSE Linux Enterprise Server 11 SP4 mysql Released